﻿using Connected.Data;

namespace Connected.Entities;

public enum State : byte
{
	Default = 0,
	New = 1,
	Deleted = 2
}

public interface IEntity
{
	State State { get; init; }
}

public interface IEntity<T> : IEntity, IPrimaryKey<T>
	where T : notnull
{
}
